{
  "codeName" : "groupSearchBar",
  "controlStyle" : "RECORDABLE_SEARCH_BAR",
  "controlType" : "SEARCHBAR",
  "dynaModelFilePath" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Reginfo/PSSEARCHBARS/groupSearchBar.json",
  "logicName" : "分组搜索栏",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Reginfo.json"
  },
  "getPSSearchBarGroups" : [ {
    "caption" : "上周新建",
    "data" : "{\"theme_model\":{\"searchconds\":[{\"condtype\":\"GROUP\",\"condop\":\"AND\",\"bnotmode\":false,\"searchconds\":[{\"condtype\":\"DEFIELD\",\"fieldname\":\"time\",\"condop\":\"GT\",\"value\":\"2024-03-24\"},{\"condtype\":\"DEFIELD\",\"fieldname\":\"time\",\"condop\":\"LT\",\"value\":\"2024-04-01\"}]}]}}",
    "itemType" : "GROUP",
    "name" : "gorup1",
    "width" : 0.0,
    "addSeparator" : false
  }, {
    "caption" : "我的客户",
    "data" : "{\"theme_model\":{\"searchconds\":[{\"condtype\":\"GROUP\",\"condop\":\"AND\",\"bnotmode\":false,\"searchconds\":[{\"condtype\":\"DEFIELD\",\"fieldname\":\"testname\",\"condop\":\"LIKE\",\"value\":\"客户\"}]}]}}",
    "itemType" : "GROUP",
    "name" : "group2",
    "width" : 0.0,
    "addSeparator" : false,
    "defaultGroup" : true
  }, {
    "caption" : "所有客户",
    "data" : "{\"theme_model\":{\"searchconds\":[{\"condtype\":\"GROUP\",\"condop\":\"AND\",\"bnotmode\":false,\"searchconds\":[{\"condtype\":\"DEFIELD\",\"fieldname\":\"testname\",\"condop\":\"LIKE\",\"value\":\"客户\"}]}]}}",
    "itemType" : "GROUP",
    "name" : "group3",
    "width" : 0.0,
    "addSeparator" : false
  }, {
    "caption" : "所有已锁定的客户",
    "data" : "{\"theme_model\":{\"searchconds\":[{\"condtype\":\"GROUP\",\"condop\":\"AND\",\"bnotmode\":false,\"searchconds\":[{\"condtype\":\"DEFIELD\",\"fieldname\":\"testname\",\"condop\":\"LIKE\",\"value\":\"锁定\"}]}]}}",
    "itemType" : "GROUP",
    "name" : "group4",
    "width" : 0.0,
    "addSeparator" : false
  }, {
    "caption" : "最近修改的客户",
    "data" : "{\"theme_model\":{\"searchconds\":[{\"condtype\":\"GROUP\",\"condop\":\"AND\",\"bnotmode\":false,\"searchconds\":[{\"condtype\":\"DEFIELD\",\"fieldname\":\"testname\",\"condop\":\"LIKE\",\"value\":\"修改\"}]}]}}",
    "itemType" : "GROUP",
    "name" : "group5",
    "width" : 0.0,
    "addSeparator" : false
  }, {
    "caption" : "最近创建的客户",
    "data" : "{\"theme_model\":{\"searchconds\":[{\"condtype\":\"GROUP\",\"condop\":\"AND\",\"bnotmode\":false,\"searchconds\":[]}]}}",
    "itemType" : "GROUP",
    "name" : "group6",
    "width" : 0.0,
    "addSeparator" : false
  }, {
    "caption" : "未读的客户",
    "data" : "{\"theme_model\":{\"searchconds\":[{\"condtype\":\"GROUP\",\"condop\":\"AND\",\"bnotmode\":false,\"searchconds\":[{\"condtype\":\"DEFIELD\",\"fieldname\":\"testname\",\"condop\":\"LIKE\",\"value\":\"未读\"}]}]}}",
    "itemType" : "GROUP",
    "name" : "group7",
    "width" : 0.0,
    "addSeparator" : false
  }, {
    "caption" : "本周新建",
    "data" : "{\"theme_model\":{\"searchconds\":[{\"condtype\":\"GROUP\",\"condop\":\"AND\",\"bnotmode\":false,\"searchconds\":[{\"condtype\":\"DEFIELD\",\"fieldname\":\"type\",\"condop\":\"EQ\",\"value\":\"c\"}]}]}}",
    "itemType" : "GROUP",
    "name" : "group8",
    "width" : 0.0,
    "addSeparator" : false
  } ],
  "getPSSysPFPlugin" : {
    "pluginType" : "CUSTOM",
    "pluginCode" : "RECORDABLE_SEARCH_BAR"
  },
  "quickGroupCount" : -1,
  "quickSearchMode" : 1,
  "quickSearchWidth" : 0,
  "enableFilter" : false,
  "enableGroup" : true,
  "enableQuickSearch" : true,
  "mobileSearchBar" : false,
  "modelid" : "0F07BA2D-02D4-49AB-A037-ADB17EE00F6C",
  "modeltype" : "PSSYSSEARCHBAR"
}